FGLRX (FireGL and Radeon for X) is the proprietary AMD display driver. Use this tag if you have trouble using or installing the FGLRX driver.

learn more… | top users | synonyms

0
votes
1answer
30 views

Ubuntu 14.04 = fn+f2/f3 (backlight) keys not working

With 14.04 LTS Ubuntu (64-bit), using any of the offered kernel solutions (including ones from the newer releases up to 3.19), f2/f3 brightness controls fail to register. As a matter of fact key ...
1
vote
1answer
16 views

fglrx won't detect AMD Mullins R3 card on fitlet/14.04: (EE) No supported AMD display adapters were found

I'm currently testing a fitlet-XA10-LAN Barebone with ubuntu 14.04.2 x64. Everything seems to work just fine, but I cannot get 3d acceleration to work. "lspci -v" says the box has a 00:01.0 VGA ...
5
votes
2answers
857 views

Revert to open source graphics drivers - options greyed out 14.04

I tried switching to the proprietary AMD/ATI drivers using the Software Center > Edit > Software Sources > Additional drivers window in 14.04, which left me with a scary black-as-the-night ...
2
votes
1answer
4k views

HDMI not detected Ubuntu 12.10 - ATI Radeon HD 6670

Brand new to Linux, so help a young blood out :-) (I'm a novice/hobby programmer, but completely new to Linux command syntax, etc) Brand new everything Rig. Fresh install of Ubuntu 12.10. Ubuntu ...
4
votes
2answers
14k views

AMD Catalyst Driver installer failing at DKMS

I am following these instructions to install the fglrx drivers. When I am running sudo sh amd-driver-12-6-x86_64.run it tells me fglrx is already installed; even though I ran the commands to remove ...
10
votes
1answer
3k views

How does the fglrx package's version relate to AMD's version numbers, like Catalyst 12.3?

When I learn about a new version of AMD's graphics driver, I usually see something like "Catalyst 12.3." However, the fglrx package in Ubuntu has a version like 2:8.960-0. Are these two version ...
2
votes
3answers
3k views

How do I get 1366x768 resolution with dual graphics card ATI Madison Radeon HD 5000M Series and Intel Integrated Graphics Controller

I am on an HP Envy 14, and the proper resolution that I should be using is 1366x768. This is not an option and I am stuck on 1024x768. I am using Linux 12.04. lspci | grep VGA: 00:02.0 VGA ...
1
vote
0answers
16 views

fglrx causes black screen

i recently installed ubuntu 14.04 directly off usb thumbdrive and it works fine, besides not locating drivers for my x99a mothrboard wifi in the update drivers section it did however locate my gpu's ...
0
votes
0answers
35 views

problem installing AMD driver with Ubuntu 14.04LTS

I have a fresh install of Ubuntu 14.04LTS on a PC with an AMD HD serie 8 in it. I use this workstation for medical imaging analysis and I get an OpenGL error message with the default driver. I know ...
0
votes
1answer
36 views

Wine & FGLRX Conflict

I have installed wine first and tried to install FGLRX drivers from AMD Site. When i Install FGLRX through Gdebi Installer. It says libopencl1 conflict. I Followed this guide 14.10 wine and fglrx ...
0
votes
2answers
66 views

Unity crashing with amd drivers

I recently installed Ubuntu. I am currently trying to install graphics drivers for my GPU. But my case may be a bit different, I have an APU A10-7770K and a graphics card Radeon R7 250X. I tried many, ...
0
votes
2answers
144 views

Screen resolution stuck at 640x480 after upgrade

I just installed the updates (sudo aptitude upgrade, not dist-upgrade!) on a computer that is usually not connected to the internet. It uses Xubuntu 14.04.2 LTS (trusty) with an ATI Radeon HD 6550D ...
0
votes
1answer
204 views

Graphical glitches after updating 14.10 to 15.04

I have a Radeon HD 7800 series card: lspci -k | grep VGA -A2 01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Pitcairn XT [Radeon HD 7870 GHz Edition] Subsystem: PC Partner ...
2
votes
3answers
4k views

PowerXpress error with Driver Catalyst. How can I fix it?

I have install Ubuntu 11.10 64bit on my Hp Dv6-3150el. My Notebook has two graphics cards: lspci | grep VGA 00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics ...
1
vote
1answer
7k views

fglrx: No matching Device section for instance… found. how to fix it?

I have HD 4850 card, Ubuntu 12.10 and installed legacy drivers using makson96 ppa. The issue is, that FGLRX can not detect my device and loads vesa bios. I had the same problem on ubuntu 11.10, 12.04 ...
0
votes
0answers
24 views

APU crashes Unity with ATI drivers

I am currently trying to install graphics drivers for my GPU. But my case may be a bit different, I have an APU A10-7770K and a graphics card Radeon R7 250X. I tried many, many times to get my rig run ...
0
votes
0answers
24 views

Ubuntu dual screen, one has artifacts until display arrangement changed

so I have a problem. Whenever I login my primary screen is filled with random colors. The secondary is not. Like this: http://i.stack.imgur.com/HQXun.jpg But if I go and change the arrangement of ...
0
votes
0answers
40 views

ATI Drivers crash GUI

I am currently trying to install graphics drivers for my GPU. But my case may be a bit different, I have an APU A10-7770K and a graphics card Radeon R7 250X. I tried many, many times to get my rig run ...
0
votes
1answer
49 views

ram usage is too high after update of fglrx driver

yesterday when i update my computer it asked new version of fglrx driver available to use? so i choose new version. after i notified my ram usage is too high so my computer is too slow and stuck for a ...
19
votes
3answers
27k views

What is the difference between fglrx and fglrx-updates?

What is the difference between the two ATI drivers fglrx and fglrx-updates, and what one should I install with a machine with an AMD R7 260X video card? I have found outdated information on the Steam ...
0
votes
1answer
56 views

How do I know whether my graphics card is supported by fglrx 13.101

So I've been reading https://wiki.ubuntu.com/X/Config/HybridGraphics and according to it I need a graphics card that is supported by fglrx 13.101. My system is a laptop with Intel Integrated Graphics ...
0
votes
0answers
34 views

Remove ATI drivers Ubuntu 15.04

How can I remove ATI drivers? I have disabled AMD GPU from BIOS and now I want to remove the drivers and to reconfigure XOrg. I have a problem and I think that is from AMD GPU. When I wake up my ...
3
votes
5answers
3k views

After installing fglrx on Ubuntu 14.04 there is no backlight (hd 5470). Is there any workaround?

I've installed fglrx driver on my Asus k52je laptop with mobility radeon hd 5470 using additional drivers window in ubuntu. I get black screen after reboot. When I hold power button i can barely see ...
2
votes
1answer
7k views

How to reset display settings in XFCE \ Ubuntu 12.04 and also flgrx drivers

I recently upgraded to Ubuntu 12.04 and since I hate unity I installed the Xubuntu package and am using XFCE instead. Since I have a Radeon HD5770 I also installed the fglrx drivers. This all went ...
-1
votes
4answers
972 views

Running Steam on Ubuntu 14.04 OpenGL GLX context is not using direct rendering

So I am trying to run steam on Ubuntu 14.04 x64. i7 Haswell CPu 16gigs ram SSD HDD Radion R9 290 graphics card. At first it would not install due to several missing libraries. After much ...
1
vote
0answers
131 views

Automatic fan speed control on AMD/ATI gpu cards with propietary drivers (fglrx) [closed]

This post is just to describe what I did, because I spent some time googling before find a acceptable solution. I've a server running ubuntu 14.04 with 2 AMD firepro w8100 and the propietary drivers ...
0
votes
1answer
68 views

Crossfire Resets When Lightdm Restarts Ubuntu 15.04

So I had Crossfire running on 14.04, but I decided to update to 15.04 and now it's acting strange. I've gone through the typical steps of commenting out everything in /etc/init/gpu-manager.conf, and ...
0
votes
2answers
175 views

How to install ATI Radeon HD5470 proprietary drivers on Ubuntu 14.04?

I seem to have a problem with the drivers. I tried everything. Every single fix that I found on this forum and I can't install the proprietary graphic drivers for my ATI Radeon HD 5470. When I go to ...
0
votes
2answers
93 views

AMD Radeon HD 8870M and Ubuntu 14.04

I'm trying to install the HD 8870M driver on Ubuntu 14.04, but I can't. I try to install with apt-get install flgrx, but it install other driver (HD R9 270X or something like it). I tried with the ...
1
vote
3answers
5k views

How fix ATI fglrx driver after kernel upgrade

I upgraded to the 12.04.4 lts saucy stack from 12.04.3: sudo apt-get install --install-recommends linux-generic-lts-saucy xserver-xorg-lts-saucy libgl1-mesa-glx-lts-saucy That installed the 3.11 ...
0
votes
2answers
55 views

i have an issue with low graphic mod at the booting, can you help me please?

I am a beginner so i dont know really whats my problem i just have a hp pavillon g7 with a amd/ati graphic card, i have tried to update ubuntu from 12.04 to 14 but its still dont work. I have tried to ...
1
vote
0answers
178 views

FGLRX drivers boots without backlight

Fglrx Not working after install (I know) HW : Asus K72j with AMD HD5470 laptop So, after installing the ATI drivers fglrx on my ASUS K72J laptop via CL my screen booted black. So at first I thought ...
0
votes
1answer
85 views

Ubuntu 14.04 fix not working for installing fglrx

i'm new to Linux .Installed Ubuntu 14.04 and i tried installing fglrx, error- sudo apt-get install fglrx Reading package lists... Done Building dependency tree Reading state information... ...
0
votes
0answers
186 views

Can't install AMD Catalyst Driver on Ubuntu 14.04 LTS

I've downloaded the AMD Catalyst™ 15.5 driver for my Radeon HD 7730M card, but every time I run its installer it fails to generate a distribution specific package. click here to take a look at the log ...
0
votes
0answers
17 views

How to explain these edges in dmesg. What line record slow process?

Can you explain what causes these edges? Was 5.6 to 15.9 delay caused by usb 1-1.4: SerialNumber: 0x0001 or IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready [ 5.601659] usb 1-1.4: Product: ...
1
vote
0answers
123 views

Lenovo g510 laptop Ubuntu 14.04 LTS no AMD Radeon card detected

I've got a Lenovo G510 laptop and Ubuntu 14.04 LTS installed on it and when I run lspci | grep VGA it only shows the Intel integrated graphics card, but no information about the AMD Radeon card at ...
-1
votes
2answers
4k views

installing drivers for ati radeon r7 240

i recently bought a new system, dell with Intel® Core™2 CPU 6700 @ 2.66GHz × 2 processor, 2g ram, hdd, etc, but no graphics. to save on money i skipped gettiing a windows key and went with ubuntu ...
0
votes
0answers
37 views

14.04: Unable to locate package mesa [duplicate]

sudo apt-get install mesa results in: Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package mesa lspci -k | grep VGA -A2 ...
2
votes
0answers
255 views

Graphics Corruption ubuntu 15.04 with propietary flgrx-update drivers

i'm kind of new to linux. I'm running 15.04 on a single boot. (I erased all HD accidentally testing several distros XO ) I have a new HP Pavilion Notebook – 15-p244no Apparently this notebook has ...
0
votes
2answers
1k views

Package System Broken AMD FGLRX Unmet Dependencies

I uninstalled propriety ATI driver to check if it would fix wrong Plymouth resolution. It did. But now I cannot reinstall either propriety drivers listed. Also package system has broken with this ...
0
votes
0answers
161 views

Why amdcccle is not working on 15.04 with dual graphic card

So I've got an Intel(R) HD Graphics 5500 (Broadwell GT2) and an AMD Radeon R7 M265 Series in a dell Inspiron 7000 series. The thing is, I installed the AMD control centre to change between the Intel ...
0
votes
0answers
194 views

Perfromance in gaming, In Ubuntu 15.04

I have problem with game performance, for example in War Thunder when I'm setting up a lowest graphic settings I have around 20-30 FPS (same situation in CS:GO), it's very poor performance for my ...
4
votes
1answer
280 views

Installing fglrx driver always fails

I have downloaded Ubuntu 14.04 and wanted to try some OpenGL programming. My laptop has switchable graphics technology (Intel HD Graphics 4000 and AMD Radeon HD 8570M). I thought that it'd be better ...
1
vote
0answers
1k views

Xubuntu 14.10 upgrade issues with fglrx

I have ATI Mobility Radeon HD 5650: $ sudo lshw -C video *-display UNCLAIMED description: VGA compatible controller product: Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M] ...
1
vote
0answers
50 views

Folding at Home in LUBUNTU 15.04 with an R9 270

I haven't used linux in quite a while. I used to fold in Ubuntu around 9.04, before they even had a GUI of anykind. In anycase this is what I've done already. ran sudo apt-get install fglrx-updates ...
0
votes
2answers
465 views

Cant install fglrx

I have a problem with installation fglrx pack error: Preparing to unpack …/fglrx_2%3a15.200-0ubuntu0.3_amd64.deb ... Moving ati dir to /etc for the fglrx-core transition dpkg: error processing ...
0
votes
0answers
30 views

14.04 Dell inspirion 15r with AMD graphic card. Dual monitor blinking issue

When i use "Power saving" mode of my graphic card, i can connect projector and work with it. When i use "High-performance" mode in fglrx, i can see nice picture only in limited resolutions by ...
1
vote
0answers
248 views

Xorg Server refusing to start after Ubuntu 15.04 Vivid upgrade

Hellu. Yesterday evening I decided to upgrade my laptop (14.04) to the latest release, aka 15.04. I ran "do-release-upgrade" as root, said yes to everything and went to bed. This did not go as smooth ...
0
votes
1answer
75 views

Radeon HD7900 driver?

What driver should I get for this graphics card? I attempted installing the standard one for Linux on AMD's site.. Boy was that a mess. Had to reinstall my entire system for it! Any suggestions?
3
votes
1answer
377 views

Ubuntu desktop 12.10 64-bit, icons don't show

Recently I had problems with fglrx cause I have an ATI card, if I install the privative drivers from the Ubuntu repo, I get no Unity launch bar cause the drivers are not compatible with the new Xorg. ...